SDL_ReadIO(3)

NAME
SDL_ReadIO - Read from a data source.

HEADER FILE
Defined in SDL3/SDL_iostream.h

SYNOPSIS
#include "SDL3/SDL.h"

size_t SDL_ReadIO(SDL_IOStream *context, void *ptr, size_t size);

DESCRIPTION
This function reads up size bytes from the data source to the area pointed at by ptr . This function may read less bytes than requested.

This function will return zero when the data stream is completely read, and

SDL_GetIOStatus () will return

SDL_IO_STATUS_EOF . If zero is returned and the stream is not at EOF, SDL_GetIOStatus () will return a different error value and SDL_GetError () will offer a human-readable message.

FUNCTION PARAMETERS

context
    a pointer to an SDL_IOStream
     structure.

ptr a pointer to a buffer to read data into.

size
    the number of bytes to read from the data source.

RETURN VALUE
Returns the number of bytes read, or 0 on end of file or other failure; call SDL_GetError () for more information.

THREAD SAFETY
This function is not thread safe.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_WriteIO(3), •(3), SDL_GetIOStatus(3)